Skip to main content
`Ctrl`+`K`

# PetscHMapIVQuerySet

Query and set a (key,value) entry in the hash table

## Synopsis

    #include <petsc/private/hashmapiv.h>
    PetscErrorCode PetscHMapIVQuerySet(PetscHMapIV ht, PetscInt key, PetscScalar val, PetscBool *missing)

## Input Parameters

- ht - The hash table

- key - The key

- val - The value

## Output Parameter

- missing - Boolean indicating whether the key was missing

## See Also

`PetscHMapIVQueryDel()`, `PetscHMapIVSet()`, `PetscHMapIVSetWithMode()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages